---
title: List
slug: list
description: Learn how to efficiently list all your contacts with a user-friendly pagination feature in this document. Explore the provided code examples and discover how to access the next page URL effortlessly. Find all the necessary information and guidelines for i
createdAt: 2023-09-28T15:20:48.602Z
---

:::ApiMethodV2
```json
{
  "name": "List all contacts",
  "method": "GET",
  "url": "https://data.successeve.com/v2/contacts",
  "description": "A pageable list of contacts. The contact list contains a pagination object that indicates if more contacts exist via the next field, whose value is a URL that can be used to fetch the next page. If the next field is not present, that indicates there are no further contacts in the list.",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "UL9Y6VkZmwN5hu-ri7qyf",
        "language": "curl",
        "code": "\ncurl -X GET https://data.successeve.com/v2/contacts \\\n-H 'Accept: application/json'\n-H 'Authorization:Bearer <Your access token>'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "UL9Y6VkZmwN5hu-ri7qyf"
  },
  "results": {
    "languages": [
      {
        "id": "bSkp-NWjBYICuXL8Qk8HA",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"object\": \"contact.list\",\n  \"data\": [\n    {\n      \"object\": \"contact\",\n      \"id\": \"5d3bae5bcb4a287b44583a55\",\n      \"unique_id\": \"5d3bae4cf92ea13a3dfb542e\",\n      \"created_at\": 1564192347,\n      \"data\": {\n          ...\n        },\n      \"salesmachine\": {\n          ...\n       },\n      \"stage\": {\n        \"name\": \"Trial\",\n        \"id\": \"5b2bc014ce8d8355c6d48b70\"\n      },\n      \"accounts\": {\n        \"object\": \"account.list\",\n        \"data\": [\n          {\n            \"id\": \"5d3bae278cae234bef95405a\"\n          }\n        ]\n      }\n    }\n  ],\n  \"pagination\": {\n    \"total\": 4019,\n    \"offset\": 0,\n    \"limit\": 25,\n    \"count\": 25,\n    \"next\": \"https://data.successeve.com/v2/contacts?offset=25&limit=25\"\n  }\n}\n"
      },
      {
        "id": "jVYbKuaGOCpKpTH1XAQmq",
        "language": "404",
        "customLabel": "",
        "code": "{\n      \"message\": \"object not found.\"\n    }"
      }
    ],
    "selectedLanguageId": "bSkp-NWjBYICuXL8Qk8HA"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "status",
        "kind": "optional",
        "type": "string",
        "description": "Possible values are 'trial', 'paying', 'churned' or 'not_converted' ",
        "children": []
      },
      {
        "name": "archived",
        "kind": "optional",
        "type": "Boolean",
        "description": "if true only archived contacts are listed",
        "children": []
      },
      {
        "name": "offset",
        "kind": "optional",
        "type": "Number",
        "description": "What offset of results to fetch.",
        "children": []
      },
      {
        "name": "limit",
        "kind": "optional",
        "type": "Number",
        "description": "How many results per page. Defaults 25, max is 100 ",
        "children": []
      },
      {
        "name": "order",
        "kind": "optional",
        "type": "string",
        "description": "Returns the contacts in ascending or descending order.\nValid values 'asc' or 'desc'. Default to 'desc'",
        "children": []
      },
      {
        "name": "sort",
        "kind": "optional",
        "type": "string",
        "description": "What field to sort the results by. Valid value 'created_at'",
        "children": []
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  }
}
```
:::

